import 'package:fis_jsonrpc/rpc.dart';
import 'package:vnoteapp/managers/interfaces/contract.dart';
import 'package:vnoteapp/rpc.dart';
import 'package:vnoteapp/store/store.dart';

class ContractManager implements IContractManager {
  @override
  Future<String?> createContractRecordAsync(
      CreateContractRecordRequest request) async {
    try {
      request.token = Store.user.token;
      final result =
          await rpc.contractRecord.createContractRecordAsync(request);
      return result;
    } catch (e) {
      // logger.e("PatientManager create patient error.", e);
      return null;
    }
  }
}
